Bug 34342 - java.lang.OutOfMemoryError in junitreport
java.lang.OutOfMemoryError in junitreport
Status: RESOLVED WONTFIX
Product: Ant
Classification: Unclassified
Component: Optional Tasks
1.6.2
Sun Solaris
: P2 critical (vote)
: ---
Assigned To: Ant Notifications List
: Xerces2
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2005-04-07 08:07 UTC by mikael petterson
Modified: 2008-05-29 09:18 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mikael petterson 2005-04-07 08:07:26 UTC
I have discussed this matter on user@ant.apache.org without any luck.

I have increased  Xmx and Xms with different values ( see below).

ANT_OPTS="-Xms256M -Xmx512M";export ANT_OPTS

I have also been using JFluid profiler to see which target ( task) that 
causes  ant to give java.lang.OutOfMemoryError.

I have isolated the <junitreport> task as the sole source to this problem.
When debugging ant it becomes, AFAIK, that the parsing of all the xml files
makes the java.lang.OutOfMemoryError to be thrown.

The implementation of <junitreport> seems very memory intensive. Is it not 
possible to have an attribute that selects whether to use SAX or DOM when 
parsing? 


This is my target in the build.xml
----------------------------------
<target name="test:junit:report"  depends="init" description="generate junit 
reports">
   <junitreport todir="${test.reports.dir}">
    <!--<fileset dir="${test.reports.dir}">-->
        <fileset dir="${coverage.dir}">
	<include name="TEST-*.xml"/>
    </fileset>
    <report format="frames" todir="${test.reports.dir}/html"/>
  </junitreport>
  </target>

These are the files that we parse
---------------------------------

total 40330
drwxr-xr-x   3 eraonel  rnd         12352 Apr  6 13:05 .
drwxrwxr-x  12 bsvbadm  rnd          1475 Apr  6 13:50 ..
-rw-r--r--   1 eraonel  rnd           494 Apr  6 13:37 TEST-
se.ericsson.wcdma.rbs.boam.common.reflect.coc.tb.sut.CoCTest$1.txt
-rw-r--r--   1 eraonel  rnd         12550 Apr  6 13:37 TEST-
se.ericsson.wcdma.rbs.boam.common.reflect.coc.tb.sut.CoCTest$1.xml
-rw-r--r--   1 eraonel  rnd          6304 Apr  6 13:37 TEST-
se.ericsson.wcdma.rbs.boam.common.reflect.coc.tb.sut.CoCTest.txt
-rw-r--r--   1 eraonel  rnd         18678 Apr  6 13:37 TEST-
se.ericsson.wcdma.rbs.boam.common.reflect.coc.tb.sut.CoCTest.xml
-rw-r--r--   1 eraonel  rnd           788 Apr  6 13:37 TEST-
se.ericsson.wcdma.rbs.boam.common.reflect.common.tb.sut.AckATest.txt
-rw-r--r--   1 eraonel  rnd         15997 Apr  6 13:37 TEST-
se.ericsson.wcdma.rbs.boam.common.reflect.common.tb.sut.AckATest.xml
-rw-r--r--   1 eraonel  rnd       1277130 Apr  6 13:37 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.CreateMib_rbs3101.txt
-rw-r--r--   1 eraonel  rnd       1325016 Apr  6 13:38 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.CreateMib_rbs3101.xml
-rw-r--r--   1 eraonel  rnd        582680 Apr  6 13:38 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.CreateMib_rbs3106.txt
-rw-r--r--   1 eraonel  rnd        632346 Apr  6 13:38 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.CreateMib_rbs3106.xml
-rw-r--r--   1 eraonel  rnd       1466691 Apr  6 13:39 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestAllGetSetMib_rbs3101.txt
-rw-r--r--   1 eraonel  rnd       1746763 Apr  6 13:39 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestAllGetSetMib_rbs3101.xml
-rw-r--r--   1 eraonel  rnd       1246409 Apr  6 13:39 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestAllGetSetMib_rbs3106.txt
-rw-r--r--   1 eraonel  rnd       1460796 Apr  6 13:39 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestAllGetSetMib_rbs3106.xml
-rw-r--r--   1 eraonel  rnd           505 Apr  6 13:39 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestCaseBase$AttrListImpl.txt
-rw-r--r--   1 eraonel  rnd         12561 Apr  6 13:39 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestCaseBase$AttrListImpl.xml
-rw-r--r--   1 eraonel  rnd           497 Apr  6 13:39 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestCaseBase$Attribute.txt
-rw-r--r--   1 eraonel  rnd         12554 Apr  6 13:39 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestCaseBase$Attribute.xml
-rw-r--r--   1 eraonel  rnd           497 Apr  6 13:39 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestCaseBase$GenStruct.txt
-rw-r--r--   1 eraonel  rnd         12552 Apr  6 13:39 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestCaseBase$GenStruct.xml
-rw-r--r--   1 eraonel  rnd           500 Apr  6 13:39 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestCaseBase$StructImpl.txt
-rw-r--r--   1 eraonel  rnd         12557 Apr  6 13:39 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestCaseBase$StructImpl.xml
-rw-r--r--   1 eraonel  rnd           367 Apr  6 13:39 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestCaseBase.txt
-rw-r--r--   1 eraonel  rnd         12424 Apr  6 13:39 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestCaseBase.xml
-rw-r--r--   1 eraonel  rnd        761447 Apr  6 13:39 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestCreateMib_rbs3101.txt
-rw-r--r--   1 eraonel  rnd        909687 Apr  6 13:39 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestCreateMib_rbs3101.xml
-rw-r--r--   1 eraonel  rnd        647137 Apr  6 13:39 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestCreateMib_rbs3106.txt
-rw-r--r--   1 eraonel  rnd        763121 Apr  6 13:39 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestCreateMib_rbs3106.xml
-rw-r--r--   1 eraonel  rnd           518 Apr  6 13:39 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestGetByReflection_rbs3106$1.txt
-rw-r--r--   1 eraonel  rnd         12575 Apr  6 13:39 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestGetByReflection_rbs3106$1.xml
-rw-r--r--   1 eraonel  rnd       3015925 Apr  6 13:45 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestGetByReflection_rbs3106.txt
-rw-r--r--   1 eraonel  rnd       3067775 Apr  6 13:46 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestGetByReflection_rbs3106.xml
-rw-r--r--   1 eraonel  rnd       1034485 Apr  6 13:46 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestGetMib_rbs3101.txt
-rw-r--r--   1 eraonel  rnd       1181094 Apr  6 13:46 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestGetMib_rbs3101.xml
-rw-r--r--   1 eraonel  rnd        846313 Apr  6 13:46 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestGetMib_rbs3106.txt
-rw-r--r--   1 eraonel  rnd        962926 Apr  6 13:46 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestGetMib_rbs3106.xml
-rw-r--r--   1 eraonel  rnd        534779 Apr  6 13:47 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestRangeCheckMib_rbs3101.txt
-rw-r--r--   1 eraonel  rnd        622880 Apr  6 13:47 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestRangeCheckMib_rbs3101.xml
-rw-r--r--   1 eraonel  rnd        477468 Apr  6 13:47 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestRangeCheckMib_rbs3106.txt
-rw-r--r--   1 eraonel  rnd        554000 Apr  6 13:47 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestRangeCheckMib_rbs3106.xml
-rw-r--r--   1 eraonel  rnd        850844 Apr  6 13:47 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestReadOnlyMib_rbs3101.txt
-rw-r--r--   1 eraonel  rnd        969861 Apr  6 13:47 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestReadOnlyMib_rbs3101.xml
-rw-r--r--   1 eraonel  rnd        694103 Apr  6 13:47 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestReadOnlyMib_rbs3106.txt
-rw-r--r--   1 eraonel  rnd        789897 Apr  6 13:47 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestReadOnlyMib_rbs3106.xml
-rw-r--r--   1 eraonel  rnd       1692689 Apr  6 13:48 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestSetGetMib_rbs3106.txt
-rw-r--r--   1 eraonel  rnd       1911403 Apr  6 13:48 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestSetGetMib_rbs3106.xml
-rw-r--r--   1 eraonel  rnd       1281259 Apr  6 13:49 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestSetResetMib_rbs3101.txt
-rw-r--r--   1 eraonel  rnd       1367552 Apr  6 13:49 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestSetResetMib_rbs3101.xml
-rw-r--r--   1 eraonel  rnd       1071566 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestSetResetMib_rbs3106.txt
-rw-r--r--   1 eraonel  rnd       1145355 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestSetResetMib_rbs3106.xml
-rw-r--r--   1 eraonel  rnd        317994 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestSetup.txt
-rw-r--r--   1 eraonel  rnd        357944 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.common.tb.sut.TestSetup.xml
-rw-r--r--   1 eraonel  rnd           470 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.fpx.tb.sut.AllSignalsTest$1.txt
-rw-r--r--   1 eraonel  rnd         12527 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.fpx.tb.sut.AllSignalsTest$1.xml
-rw-r--r--   1 eraonel  rnd           514 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.fpx.tb.sut.AllSignalsTest$MyFilenameFilter.txt
-rw-r--r--   1 eraonel  rnd         12571 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.fpx.tb.sut.AllSignalsTest$MyFilenameFilter.xml
-rw-r--r--   1 eraonel  rnd        117534 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.fpx.tb.sut.AllSignalsTest.txt
-rw-r--r--   1 eraonel  rnd        129505 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.fpx.tb.sut.AllSignalsTest.xml
-rw-r--r--   1 eraonel  rnd           512 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.dmo.tr.tb.sut.DbccDeviceMoFrontTest$1.txt
-rw-r--r--   1 eraonel  rnd         12569 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.dmo.tr.tb.sut.DbccDeviceMoFrontTest$1.xml
-rw-r--r--   1 eraonel  rnd         61538 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.dmo.tr.tb.sut.DbccDeviceMoFrontTest.txt
-rw-r--r--   1 eraonel  rnd         73573 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.dmo.tr.tb.sut.DbccDeviceMoFrontTest.xml
-rw-r--r--   1 eraonel  rnd           520 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.dmo.tr.tb.sut.DbccDeviceSetMoFrontTest$1.txt
-rw-r--r--   1 eraonel  rnd         12577 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.dmo.tr.tb.sut.DbccDeviceSetMoFrontTest$1.xml
-rw-r--r--   1 eraonel  rnd         61556 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.dmo.tr.tb.sut.DbccDeviceSetMoFrontTest.txt
-rw-r--r--   1 eraonel  rnd         73588 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.dmo.tr.tb.sut.DbccDeviceSetMoFrontTest.xml
-rw-r--r--   1 eraonel  rnd           512 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.dmo.tr.tb.sut.DbchDeviceMoFrontTest$1.txt
-rw-r--r--   1 eraonel  rnd         12569 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.dmo.tr.tb.sut.DbchDeviceMoFrontTest$1.xml
-rw-r--r--   1 eraonel  rnd         61538 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.dmo.tr.tb.sut.DbchDeviceMoFrontTest.txt
-rw-r--r--   1 eraonel  rnd         73573 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.dmo.tr.tb.sut.DbchDeviceMoFrontTest.xml
-rw-r--r--   1 eraonel  rnd           520 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.dmo.tr.tb.sut.DbchDeviceSetMoFrontTest$1.txt
-rw-r--r--   1 eraonel  rnd         12577 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.dmo.tr.tb.sut.DbchDeviceSetMoFrontTest$1.xml
-rw-r--r--   1 eraonel  rnd         61556 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.dmo.tr.tb.sut.DbchDeviceSetMoFrontTest.txt
-rw-r--r--   1 eraonel  rnd         73588 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.dmo.tr.tb.sut.DbchDeviceSetMoFrontTest.xml
-rw-r--r--   1 eraonel  rnd           527 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.dmo.tr.tb.sut.HsDbchDeviceSetMoFrontTest$1.txt
-rw-r--r--   1 eraonel  rnd         12584 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.dmo.tr.tb.sut.HsDbchDeviceSetMoFrontTest$1.xml
-rw-r--r--   1 eraonel  rnd         61568 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.dmo.tr.tb.sut.HsDbchDeviceSetMoFrontTest.txt
-rw-r--r--   1 eraonel  rnd         73600 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.dmo.tr.tb.sut.HsDbchDeviceSetMoFrontTest.xml
-rw-r--r--   1 eraonel  rnd           521 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.dmo.tr.tb.sut.TxDeviceGroupMoFrontTest$1.txt
-rw-r--r--   1 eraonel  rnd         12578 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.dmo.tr.tb.sut.TxDeviceGroupMoFrontTest$1.xml
-rw-r--r--   1 eraonel  rnd         61513 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.dmo.tr.tb.sut.TxDeviceGroupMoFrontTest.txt
-rw-r--r--   1 eraonel  rnd         73588 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.dmo.tr.tb.sut.TxDeviceGroupMoFrontTest.xml
-rw-r--r--   1 eraonel  rnd           518 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.dmo.tr.tb.sut.UbchDeviceSetMoImplTest$1.txt
-rw-r--r--   1 eraonel  rnd         12575 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.dmo.tr.tb.sut.UbchDeviceSetMoImplTest$1.xml
-rw-r--r--   1 eraonel  rnd           945 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.dmo.tr.tb.sut.UbchDeviceSetMoImplTest.txt
-rw-r--r--   1 eraonel  rnd         13073 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.dmo.tr.tb.sut.UbchDeviceSetMoImplTest.xml
-rw-r--r--   1 eraonel  rnd           521 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.rmo.antenna.tb.sut.AntennaBranchMoTest$1.txt
-rw-r--r--   1 eraonel  rnd         12578 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.rmo.antenna.tb.sut.AntennaBranchMoTest$1.xml
-rw-r--r--   1 eraonel  rnd         14111 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.rmo.antenna.tb.sut.AntennaBranchMoTest.txt
-rw-r--r--   1 eraonel  rnd         26916 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.rmo.antenna.tb.sut.AntennaBranchMoTest.xml
-rw-r--r--   1 eraonel  rnd           515 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.rmo.antenna.tb.sut.ExternalTmaMoTest$1.txt
-rw-r--r--   1 eraonel  rnd         12572 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.rmo.antenna.tb.sut.ExternalTmaMoTest$1.xml
-rw-r--r--   1 eraonel  rnd         33652 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.rmo.antenna.tb.sut.ExternalTmaMoTest.txt
-rw-r--r--   1 eraonel  rnd         49647 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.rmo.antenna.tb.sut.ExternalTmaMoTest.xml
-rw-r--r--   1 eraonel  rnd           512 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.rmo.antenna.tb.sut.RetProfileMoTest$1.txt
-rw-r--r--   1 eraonel  rnd         12569 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.rmo.antenna.tb.sut.RetProfileMoTest$1.xml
-rw-r--r--   1 eraonel  rnd         15587 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.rmo.antenna.tb.sut.RetProfileMoTest.txt
-rw-r--r--   1 eraonel  rnd         29208 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.rmo.antenna.tb.sut.RetProfileMoTest.xml
-rw-r--r--   1 eraonel  rnd           521 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.rmo.cell.tb.sut.RbsLocalCellMoImplTest$1.txt
-rw-r--r--   1 eraonel  rnd         12578 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.rmo.cell.tb.sut.RbsLocalCellMoImplTest$1.xml
-rw-r--r--   1 eraonel  rnd         39888 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.rmo.cell.tb.sut.RbsLocalCellMoImplTest.txt
-rw-r--r--   1 eraonel  rnd         56480 Apr  6 13:50 TEST-
se.ericsson.wcdma.rbs.boam.mao.rmo.cell.tb.sut.RbsLocalCellMoImplTest.xml
drwxr-xr-x   2 eraonel  rnd         71982 Apr  6 13:08 _files
-rw-r--r--   1 eraonel  rnd        462594 Apr  6 13:50 coverage.emma
-rw-r--r--   1 eraonel  rnd         11867 Apr  6 13:29 coverage.html
-rw-r--r--   1 eraonel  rnd        125752 Apr  6 13:28 coverage.txt
-rw-r--r--   1 eraonel  rnd         12877 Apr  6 13:29 coverage.xml
-rw-r--r--   1 eraonel  rnd       1362987 Apr  6 12:51 metadata.emma

This is the error report (using ant -debug)
--------------------------------------------

test:junit:report:
Could not load a dependent class (com/sun/media/jai/codec/FileSeekableStream) 
for type image
Could not load a dependent class (com/jcraft/jsch/UserInfo) for type sshexec
Could not load a dependent class (com/jcraft/jsch/UserInfo) for type scp
Could not load class (org.apache.tools.ant.tasksdefs.cvslib.CvsVersion) for 
type cvsversion
Could not load a dependent class (jdepend/xmlui/JDepend) for type jdepend
fileset: Setup scanner in 
dir /vobs/rbs/sw/rbssw1/boam_subsys/boam_swb/boam_bldu/ant_build/coverage with 
patternSet{ includes: [TEST-*.xml] excludes: [] }
[junitreport] Parsing 
file: '/vobs/rbs/sw/rbssw1/boam_subsys/boam_swb/boam_bldu/ant_build/coverage/TES
T-se.ericsson.wcdma.rbs.boam.common.reflect.coc.tb.sut.CoCTest$1.xml'
[junitreport] Parsing 
file: '/vobs/rbs/sw/rbssw1/boam_subsys/boam_swb/boam_bldu/ant_build/coverage/TES
T-se.ericsson.wcdma.rbs.boam.common.reflect.coc.tb.sut.CoCTest.xml'
[junitreport] Parsing 
file: '/vobs/rbs/sw/rbssw1/boam_subsys/boam_swb/boam_bldu/ant_build/coverage/TES
T-se.ericsson.wcdma.rbs.boam.common.reflect.common.tb.sut.AckATest.xml'
[junitreport] Parsing 
file: '/vobs/rbs/sw/rbssw1/boam_subsys/boam_swb/boam_bldu/ant_build/coverage/TES
T-se.ericsson.wcdma.rbs.boam.common.tb.sut.CreateMib_rbs3101.xml'
[junitreport] Parsing 
file: '/vobs/rbs/sw/rbssw1/boam_subsys/boam_swb/boam_bldu/ant_build/coverage/TES
T-se.ericsson.wcdma.rbs.boam.common.tb.sut.CreateMib_rbs3106.xml'
[junitreport] Parsing 
file: '/vobs/rbs/sw/rbssw1/boam_subsys/boam_swb/boam_bldu/ant_build/coverage/TES
T-se.ericsson.wcdma.rbs.boam.common.tb.sut.TestAllGetSetMib_rbs3101.xml'
[junitreport] Parsing 
file: '/vobs/rbs/sw/rbssw1/boam_subsys/boam_swb/boam_bldu/ant_build/coverage/TES
T-se.ericsson.wcdma.rbs.boam.common.tb.sut.TestAllGetSetMib_rbs3106.xml'
[junitreport] Parsing 
file: '/vobs/rbs/sw/rbssw1/boam_subsys/boam_swb/boam_bldu/ant_build/coverage/TES
T-se.ericsson.wcdma.rbs.boam.common.tb.sut.TestCaseBase$AttrListImpl.xml'
[junitreport] Parsing 
file: '/vobs/rbs/sw/rbssw1/boam_subsys/boam_swb/boam_bldu/ant_build/coverage/TES
T-se.ericsson.wcdma.rbs.boam.common.tb.sut.TestCaseBase$Attribute.xml'
[junitreport] Parsing 
file: '/vobs/rbs/sw/rbssw1/boam_subsys/boam_swb/boam_bldu/ant_build/coverage/TES
T-se.ericsson.wcdma.rbs.boam.common.tb.sut.TestCaseBase$GenStruct.xml'
[junitreport] Parsing 
file: '/vobs/rbs/sw/rbssw1/boam_subsys/boam_swb/boam_bldu/ant_build/coverage/TES
T-se.ericsson.wcdma.rbs.boam.common.tb.sut.TestCaseBase$StructImpl.xml'
[junitreport] Parsing 
file: '/vobs/rbs/sw/rbssw1/boam_subsys/boam_swb/boam_bldu/ant_build/coverage/TES
T-se.ericsson.wcdma.rbs.boam.common.tb.sut.TestCaseBase.xml'
[junitreport] Parsing 
file: '/vobs/rbs/sw/rbssw1/boam_subsys/boam_swb/boam_bldu/ant_build/coverage/TES
T-se.ericsson.wcdma.rbs.boam.common.tb.sut.TestCreateMib_rbs3101.xml'
[junitreport] Parsing 
file: '/vobs/rbs/sw/rbssw1/boam_subsys/boam_swb/boam_bldu/ant_build/coverage/TES
T-se.ericsson.wcdma.rbs.boam.common.tb.sut.TestCreateMib_rbs3106.xml'
[junitreport] Parsing 
file: '/vobs/rbs/sw/rbssw1/boam_subsys/boam_swb/boam_bldu/ant_build/coverage/TES
T-se.ericsson.wcdma.rbs.boam.common.tb.sut.TestGetByReflection_rbs3106$1.xml'
[junitreport] Parsing 
file: '/vobs/rbs/sw/rbssw1/boam_subsys/boam_swb/boam_bldu/ant_build/coverage/TES
T-se.ericsson.wcdma.rbs.boam.common.tb.sut.TestGetByReflection_rbs3106.xml'
[junitreport] Parsing 
file: '/vobs/rbs/sw/rbssw1/boam_subsys/boam_swb/boam_bldu/ant_build/coverage/TES
T-se.ericsson.wcdma.rbs.boam.common.tb.sut.TestGetMib_rbs3101.xml'
[junitreport] Parsing 
file: '/vobs/rbs/sw/rbssw1/boam_subsys/boam_swb/boam_bldu/ant_build/coverage/TES
T-se.ericsson.wcdma.rbs.boam.common.tb.sut.TestGetMib_rbs3106.xml'
[junitreport] Parsing 
file: '/vobs/rbs/sw/rbssw1/boam_subsys/boam_swb/boam_bldu/ant_build/coverage/TES
T-se.ericsson.wcdma.rbs.boam.common.tb.sut.TestRangeCheckMib_rbs3101.xml'
[junitreport] Parsing 
file: '/vobs/rbs/sw/rbssw1/boam_subsys/boam_swb/boam_bldu/ant_build/coverage/TES
T-se.ericsson.wcdma.rbs.boam.common.tb.sut.TestRangeCheckMib_rbs3106.xml'
[junitreport] Parsing 
file: '/vobs/rbs/sw/rbssw1/boam_subsys/boam_swb/boam_bldu/ant_build/coverage/TES
T-se.ericsson.wcdma.rbs.boam.common.tb.sut.TestReadOnlyMib_rbs3101.xml'
[junitreport] Parsing 
file: '/vobs/rbs/sw/rbssw1/boam_subsys/boam_swb/boam_bldu/ant_build/coverage/TES
T-se.ericsson.wcdma.rbs.boam.common.tb.sut.TestReadOnlyMib_rbs3106.xml'
[junitreport] Parsing 
file: '/vobs/rbs/sw/rbssw1/boam_subsys/boam_swb/boam_bldu/ant_build/coverage/TES
T-se.ericsson.wcdma.rbs.boam.common.tb.sut.TestSetGetMib_rbs3106.xml'
[junitreport] Parsing 
file: '/vobs/rbs/sw/rbssw1/boam_subsys/boam_swb/boam_bldu/ant_build/coverage/TES
T-se.ericsson.wcdma.rbs.boam.common.tb.sut.TestSetResetMib_rbs3101.xml'

BUILD FAILED
java.lang.OutOfMemoryError
        at org.apache.tools.ant.Project.executeTarget(Project.java:1223)
        at org.apache.tools.ant.Project.executeTargets(Project.java:1062)
        at org.apache.tools.ant.Main.runBuild(Main.java:673)
        at org.apache.tools.ant.Main.startAnt(Main.java:188)
        at org.apache.tools.ant.launch.Launcher.run(Launcher.java:200)
        at org.apache.tools.ant.launch.Launcher.main(Launcher.java:55)
Caused by: java.lang.OutOfMemoryError
--- Nested Exception ---
java.lang.OutOfMemoryError
Comment 1 Stefan Bodewig 2005-07-08 16:46:30 UTC
<junitreport> doesn't actually parse anything - well, it loads the files.

Antt passes the files to the XSLT processor after aggregating them into one big
file.  Most probably Ant does not die during the aggregation but the XSLT processor
needs more memory than it gets.  Which processor do you use?  Using a different
one like Saxon instead of Xalan-J or just Xalan-J instead of Xalan-XSLTC (the
default processor of Java 5.0) might help.
Comment 2 Gabe Zoldi 2005-11-15 05:19:24 UTC
Encounter similar problem but was able to resolve the issue by creating a 
system environment variable ANT_OPTS= -Xms256M -Xmx512M
Comment 3 Steve Loughran 2006-07-04 22:29:14 UTC
Mikael, are you running on Java1.5? It looks like the built in xslt engine is
more memory-hungry than the classic xalan one...
Comment 4 Steve Loughran 2007-06-20 06:15:16 UTC
I'm going to close this as wontfix. the XSL transforms are very memory hungry,
especially if you dont add xalan2 to the classpath.

the only way to fix it is to not use XSL to process things.